- entityDefinitions:
  - IDM_Instance__get__Parent_Class: '{bac8c59f-8994-41e8-b0c0-659ec8efc4e2}'
  - IDMB_Instance__get__Parent_Class: '{ff202817-0b0d-430a-af5f-e49755c91fbb}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getRelationshipMethod: '&IDM_Instance__get__Parent_Class;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Instance;'
    returnsWorkSetId: '&IDI_WorkSet_ParentClass;'
    verb: 'get'
    name: 'Parent Class'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsRelationshipId: '&IDR_Instance__for__Class;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Instance__get__Parent_Class;'
    executesMethod: '&IDM_Instance__get__Parent_Class;'
    # parameterAssignments:
    # - globalIdentifier: '{5e89d13d-70e7-45e1-886c-ca2244eb3edf}'
    #   assignsToParameter: '&IDC_Method;'
    #   assignsFromWorkData: '&IDI_WorkSet_MethodSingular;'
